[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ShellCtrls' (#lcl)

# TCustomShellTreeView.GetPathFromNode

Returns the path (including the file name) for the file system object represented in the specified node.

## Declaration

Source position: shellctrls.pas line 131

`public function TCustomShellTreeView.GetPathFromNode(`
`ANode: TTreeNode`
`):string;`

## Arguments

`ANode` |  | Tree node with the path and file name for the node.

## Function result

Fully qualified path for the file system object represented in the node.

## Description

GetPathFromNode casts the tree node in ANode to a TShellTreeNode type to access the file system-specific properties and methods for the node.

When IsDirectory returns True, the return value contains the path to the folder with a trailing path delimiter. Otherwise, the return value has the fully-qualified path for the file.

An absolute path in the return value includes the root directory prepended to the value.

## See also

TCustomShellTreeView.GetRootPath |  | Returns the effective value for Root when an explicit value has not been assigned.
TShellTreeNode.IsDirectory |  | Indicates if the tree node is a directory on the local file system.
TShellTreeNode.FullFilename |  | Gets the full file name including path for the item represented in the tree node.
TShellTreeNode.BasePath |  | Contains the base path to the file system object in the tree node.
FilenameIsAbsolute